squareball 0.2.0.28-7bb8 A general-purpose library for C99

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

All Data Structures Files Functions Variables Typedefs
sb-shell.h File Reference

Shell-related utilities. More...

Go to the source code of this file.

## Functions
char * | sb_shell_quote (const char *str)

## Detailed Description

Shell-related utilities.

## Function Documentation

char* sb_shell_quote | ( | const char * | str | ) |

Function that quotes a string to be safely passed to a shell.

Parameters

  str | The string to be quoted.

Returns
  A newly-allocated string.

Examples:
  hello_shell.c.